using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

using C4IT.Logging;

using FasdDesktopUi.Pages.RawHealthCardValuesPage;

using static C4IT.Logging.cLogManager;

namespace FasdDesktopUi.Basics.UiActions
{
    public class UiShowRawHealthcardValues : cUiActionBase
    {
        public override async Task<bool> RunUiActionAsync(object sender, UIElement UiLocation, bool isDetailedLayout, cSupportCaseDataProvider dataProvider)
		{
			MethodBase CM = null; if (cLogManager.DefaultLogger.IsDebug) { CM = MethodBase.GetCurrentMethod(); LogMethodBegin(CM); }

			try
			{
                var _rawValueWindow = new RawHealthCardValuesPage();
                _rawValueWindow.Show();
                return true;
            }
            catch (Exception E)
			{
				LogException(E);
			}
			finally
			{
				if (CM != null) LogMethodEnd(CM);
			}
			return false;
        }

	}
}
